﻿@{
    ViewBag.Title = "Index";
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Resend SMS</h3>
    </div>
    <!-- Page Stats -->
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> All Resend SMS</h4>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSearchResendSMS", City = "form" }))
                {
                    <input type="text" id="txtSearch" name="txtSearch" class="form-control box-search" placeholder="Search for...">
                    <button class="hidden" type="submit"></button>
                }
            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllResendSMS")
            </div>
            <button type="submit" id="Resend" class="btn btn-primary">Resend</button>
            <!-- .box-content -->
        </div>
        <!-- .box -->
    </div>
</div>

@section FooterScript{
    <script>
        (function () {
            var gridName = 'GridGetAllResendSMS';
                var pagingUrl = '@Url.Action(MVC.ResendSMS.GridGetAllResendSMSPager())'; 

                $('.grid-mvc').gridmvc();
                pageGrids[gridName].ajaxify({
                    getData: pagingUrl,
                    getPagedData: pagingUrl,
                    gridFilterForm: $('#gridSearchResendSMS')
                });
            }())
    </script>
<script>
    $(document).ready(function () {
        $('#All').click(function () {
            var isChecked = $('#All:checked').prop('checked');
            if (!isChecked) {
                $(".data-check").prop('checked', false);
                //$(".data-check").attr('checked', false);
                console.log(0);
            } else {
                $(".data-check").prop('checked', true);
                //$(".data-check").attr('checked', true);
                console.log(1);
            }
        });
    });
</script>


<script>
    $(document).ready(function () {
        $('#Resend').click(function () { 
            var param = [];
            $("input:checkbox[name='param']:checked").each(function () {
                param.push($(this).val());
            });
            
            if (param.length >= 1) {
                        $.ajax({
                            type: 'post',
                            url: '@Url.Action(MVC.ResendSMS.Resend())',
                            data: { 'listID': param },
                            success: function (e) {
                                console.log(e);
                                if (e.IsSuccess == "00") {
                                    window.location = "@Url.Action(MVC.ResendSMS.Index())" + "?status=" + e.IsSuccess;
                                } else {
                                    window.location = "@Url.Action(MVC.ResendSMS.Index())" + "?status=" + e.Message;
                                }
                                }
                            });
                        
                        ViewData.Clear();
                      } else {

                        alert('Mohon pilih dahulu');
                        return false;
                    }
                });
            });
    </script>
}